发新帖

问一下大家在deepin上安装成功的有没有一体机

mejoy69 / 2019-12-26 20:47
浏览: 1095 / 回复: 18
查看: 1095|回复: 18

问一下大家在deepin上安装成功的有没有一体机

[复制链接]
收藏
跳转到指定楼层
今天测试打印机的安装(都是usb连接)。两款惠普打印机。一台1020系列的打印机,按照深度百科里面配置惠普打印机的方法成功安装了。但是181fw一体机,则没有被识别到。我到惠普网站看,说是支持linux的,给的信息是:
Linux(有关详细信息,请访问 http://hplipopensource.com/hplip-web/index.html)。Unix(有关详细信息,请访问 http://www.hp.com/go/unixmodelscripts)
我访问了,发现和深度百科要求安装的安装包一样,都是hplip。但apt安装的hplip没能识别。
如果使用deepin自带的“打印配置”,则两个打印机都能识别出来,并且显示安装成功。但是打印一直报错,连测试页都无法打印。
大家有这方面的经验吗?给点提示啊。

26

主题

572

帖子

2638

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2638
liwl 发表于 2019-12-26 21:12:46 来自移动端 | 显示全部楼层
有的。我装了好多一体机,还是清华同方的。。。。

26

主题

572

帖子

2638

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2638
liwl 发表于 2019-12-26 21:14:49 来自移动端 | 显示全部楼层
打印机也没有问题。你看看无线网打印呢?不用usb的。俺办公室无线网的

1

主题

2

帖子

10

积分

-r--------

Rank: 1

积分
10
homeyard 发表于 2019-12-26 23:58:20 来自移动端 | 显示全部楼层
我的也是可以通过deepin自带的配置成功但打印不了。后来把hplip的依赖全装上重新添加打印机可以了。

245

主题

1029

帖子

4830

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
4830
wangyukunshan 发表于 2019-12-27 09:33:42 | 显示全部楼层
有,我的就是联想一体机,8年老机。

6

主题

107

帖子

460

积分

-r--r--r--

Rank: 3Rank: 3

积分
460
danzeng 志愿者 发表于 2020-1-4 18:26:39 | 显示全部楼层
本帖最后由 danzeng 于 2020-1-4 18:29 编辑

可以我,我的HP和EPSON一体机都可安装成功使用的。
截图录屏_×-scan_20200104182845.png
DELL OptiPlex 760
core2 E7300 @ 2.66GHz
DELL 0N451H
5 GB DDR2( 667MHz /800MHz )
GeForce 9500 GT ( 512 MB )
Analog AD194A
Intel 82567LM

Mac mini (Mid 2011)/i5 2.3G/16G DDR3/HD3000(512M)/ Cirrus Logic CS4206B (AB 33)

11

主题

123

帖子

455

积分

-r--r--r--

Rank: 3Rank: 3

积分
455
mejoy69 发表于 2020-1-7 19:28:59 | 显示全部楼层
danzeng 发表于 2020-1-4 18:26
可以我,我的HP和EPSON一体机都可安装成功使用的。

我的打印机是hp 181fw的一体机。我去hp官网看了。deepin的hplip的版本如下:
HP Linux Imaging and Printing System (ver. 3.16.11)
Printer/Fax Setup Utility ver. 9.0
不支持。我又去下载最新的hplip,结果无法安装。不支持deepin。里面我选了debian和ubuntu的版本,结果依赖都不支持。第一个gcc就过不去。hplip报gcc无法安装,让手动安装。但是手动安装gcc,又报已经是最新的了。我又不想换源。未必要去找gcc最新版本?╮(╯▽╰)╭,我看了有十多条依赖都说没有安装(应该是版本不对,实际上是安装了的)
MISSING DEPENDENCIES
--------------------
Following dependencies are not installed. HPLIP will not work if all REQUIRED dependencies are not installed and some of the HPLIP features will not work if OPTIONAL dependencies are not installed.
Package-Name         Component            Required/Optional
pyqt5-dbus           gui_qt5              OPTIONAL
scanimage            scan                 OPTIONAL
libnetsnmp-devel     network              REQUIRED
sane-devel           scan                 REQUIRED
pil                  scan                 OPTIONAL
gcc                  base                 REQUIRED
pyqt4-dbus           gui_qt4              REQUIRED
python-devel         base                 REQUIRED
cups-devel           base                 REQUIRED
reportlab            fax                  OPTIONAL
pyqt5                gui_qt5              REQUIRED
pyqt4                gui_qt4              REQUIRED
libusb               base                 REQUIRED
libtool              base                 REQUIRED
cups-image           base                 REQUIRED
python-notify        gui_qt5              OPTIONAL
xsane                scan                 OPTIONAL
libjpeg              base                 REQUIRED
dbus                 fax                  REQUIRED
avahi-utils          network              OPTIONAL

11

主题

123

帖子

455

积分

-r--r--r--

Rank: 3Rank: 3

积分
455
mejoy69 发表于 2020-1-7 19:30:58 | 显示全部楼层
danzeng 发表于 2020-1-4 18:26
可以我,我的HP和EPSON一体机都可安装成功使用的。

有个奇怪的现象,用deepin自带的“打印设置”,添加打印机,他能识别出hp 181fw。但是安装后,并没法打印。一直保存在队列里面。

6

主题

107

帖子

460

积分

-r--r--r--

Rank: 3Rank: 3

积分
460
danzeng 志愿者 发表于 2020-1-9 11:13:07 | 显示全部楼层
我的HP也是从官方的linux驱动安装成功的。如果没有完全对应的型号可以选对同系列的型号,大概率也可以用。
DELL OptiPlex 760
core2 E7300 @ 2.66GHz
DELL 0N451H
5 GB DDR2( 667MHz /800MHz )
GeForce 9500 GT ( 512 MB )
Analog AD194A
Intel 82567LM

Mac mini (Mid 2011)/i5 2.3G/16G DDR3/HD3000(512M)/ Cirrus Logic CS4206B (AB 33)

6

主题

107

帖子

460

积分

-r--r--r--

Rank: 3Rank: 3

积分
460
danzeng 志愿者 发表于 2020-1-9 11:15:06 | 显示全部楼层
我记得当时也是另外下载了两个依赖包才安装成功。
如果换源能解决的话,建议换源安装。安装完成后再把源换回来就可以。
DELL OptiPlex 760
core2 E7300 @ 2.66GHz
DELL 0N451H
5 GB DDR2( 667MHz /800MHz )
GeForce 9500 GT ( 512 MB )
Analog AD194A
Intel 82567LM

Mac mini (Mid 2011)/i5 2.3G/16G DDR3/HD3000(512M)/ Cirrus Logic CS4206B (AB 33)

1

主题

11

帖子

55

积分

-r--------

Rank: 1

积分
55
vincentchen 发表于 2020-1-9 13:19:11 | 显示全部楼层
有啊,我的是华硕一体机,公司买来用了一年,越来越带不动Win10了,就被我抱回家装Deepin,迎来了第二春。
19年上半年以前,有一台公司定制的组装一体机,硬件性能比现在的华硕还差,但运行Deepin也是完美。

11

主题

123

帖子

455

积分

-r--r--r--

Rank: 3Rank: 3

积分
455
mejoy69 发表于 2020-1-14 18:58:21 | 显示全部楼层
danzeng 发表于 2020-1-9 11:13
我的HP也是从官方的linux驱动安装成功的。如果没有完全对应的型号可以选对同系列的型号,大概率也可以用。 ...

181fw是单独的了。试过171的。不得行,没法打印。

11

主题

123

帖子

455

积分

-r--r--r--

Rank: 3Rank: 3

积分
455
mejoy69 发表于 2020-1-14 18:59:47 | 显示全部楼层
vincentchen 发表于 2020-1-9 13:19
有啊,我的是华硕一体机,公司买来用了一年,越来越带不动Win10了,就被我抱回家装Deepin,迎来了第二春。
...

我查了hplip官网的,deepin使用的版本不支持181fw。可惜后面支持的hplip安装时候出现依赖包不对。

11

主题

123

帖子

455

积分

-r--r--r--

Rank: 3Rank: 3

积分
455
mejoy69 发表于 2020-1-14 19:01:30 | 显示全部楼层
danzeng 发表于 2020-1-9 11:15
我记得当时也是另外下载了两个依赖包才安装成功。
如果换源能解决的话,建议换源安装。安装完成后再把源换 ...

我试试换debian的源吧。但是我怕用debian的源更新了这些依赖包造成其他程序错误。上次安装江民反病毒控制中心的软件就是换了一些依赖包。结果各种怪现象。╮(╯▽╰)╭

6

主题

107

帖子

460

积分

-r--r--r--

Rank: 3Rank: 3

积分
460
danzeng 志愿者 发表于 2020-1-18 11:40:00 | 显示全部楼层
mejoy69 发表于 2020-1-14 19:01
我试试换debian的源吧。但是我怕用debian的源更新了这些依赖包造成其他程序错误。上次安装江民反病毒控制 ...

这个很有可能的。
DELL OptiPlex 760
core2 E7300 @ 2.66GHz
DELL 0N451H
5 GB DDR2( 667MHz /800MHz )
GeForce 9500 GT ( 512 MB )
Analog AD194A
Intel 82567LM

Mac mini (Mid 2011)/i5 2.3G/16G DDR3/HD3000(512M)/ Cirrus Logic CS4206B (AB 33)

11

主题

123

帖子

455

积分

-r--r--r--

Rank: 3Rank: 3

积分
455
mejoy69 发表于 2020-2-28 17:53:11 | 显示全部楼层
安装新的hplip后,一体机正常。但是以前那台能正常使用的老打印机cp1025又不行了。╮(╯▽╰)╭

11

主题

123

帖子

455

积分

-r--r--r--

Rank: 3Rank: 3

积分
455
mejoy69 发表于 2020-2-28 18:00:14 | 显示全部楼层
本帖最后由 mejoy69 于 2020-2-28 18:14 编辑

参考这个网址,安装hplip会很顺利
https://developers.hp.com/hp-linux-imaging-and-printing/install/manual/distros/other
这个地址可以下载最新的hplip(deepin需要下载下半部advance option那个
https://developers.hp.com/hp-linux-imaging-and-printing/gethplip这个地址是下载hplip-plugin的,对应hplip版本
https://developers.hp.com/hp-linux-imaging-and-printing/plugins
我之前安装的是3.19.12版本,现在刚出了最新的3.20.2

0

主题

12

帖子

43

积分

-r--------

Rank: 1

积分
43
xjwanzheng 发表于 2020-2-28 18:18:42 | 显示全部楼层
这样呀,我的FUJI XEROX DocuPrint M115b 可以识别,但也不能打印。郁闷中

11

主题

123

帖子

455

积分

-r--r--r--

Rank: 3Rank: 3

积分
455
mejoy69 发表于 2020-3-2 15:19:29 | 显示全部楼层
xjwanzheng 发表于 2020-2-28 18:18
这样呀,我的FUJI XEROX DocuPrint M115b 可以识别,但也不能打印。郁闷中

施乐打印机单位有,但现在我还没有进行测试。你先去官网找linux驱动,一般有说明。比如我这个就说了,驱动都由hplip提供。然后我就找hplip官网(hp官网有链接)。你可以试试,一般硬件厂商自己不提供linux驱动话,会有说明(当然也有例外)。就只有这么找下去啦。或者等v20版本,看对硬件的支持是不是有增加。
只要找到ppd文件,基本上就可以了。
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 返回版块 返回顶部